"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VideoBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/blocks#video
 * @@displayName Video
 */
class VideoBuilder extends base_1.BlockBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackBlockDto, {
            type: constants_1.BlockType.Video,
            description: helpers_1.getPlainTextObject(this.props.description),
            title: helpers_1.getPlainTextObject(this.props.title),
        });
    }
}
exports.VideoBuilder = VideoBuilder;
helpers_1.applyMixins(VideoBuilder, [
    methods_1.AltText,
    methods_1.AuthorName,
    methods_1.BlockId,
    methods_1.Description,
    methods_1.End,
    methods_1.ProviderIconUrl,
    methods_1.ProviderName,
    methods_1.ThumbnailUrl,
    methods_1.Title,
    methods_1.TitleUrl,
    methods_1.VideoUrl,
]);
