import { ElementBuilderBase } from '../internal/base';
import { AccessibilityLabel, ActionId, Confirm, Danger, End, Primary, Text, Url, Value } from '../internal/methods';
import type { ConfirmationDialogBuilder } from '../bits';
export interface ButtonParams {
    accessibilityLabel?: string;
    actionId?: string;
    text?: string;
    url?: string;
    value?: string;
}
export interface ButtonBuilder extends AccessibilityLabel, ActionId, Confirm<ConfirmationDialogBuilder>, Danger, End, Primary, Text, Url, Value {
}
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#button
 * @@displayName Button
 */
export declare class ButtonBuilder extends ElementBuilderBase {
}
